Bug Tracker – Bug 114

Mouse input values capped

Last modified: 2008-07-28 04:18:44 UTC
Bug 114 - Mouse input values capped
Summary: Mouse input values capped
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Client (show other bugs)
Version: (old) 0.0.1
Hardware: Other All
: P2 normal
Assignee: Denis Lukianov
URL:
Depends on:
Blocks:
 
Reported: 2006-02-16 19:49 UTC by Dylan McIntosh
Modified: 2008-07-28 04:18 UTC (History)
1 user (show)

See Also:

Attachments

Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description Dylan McIntosh 2006-02-16 19:49:37 UTC
Mouse input values are being capped at 768.  This is bad.

To see the problem set your mouse speed to 1, turn off dynamic resolution and 
turn on 'show mouse values'.
Comment 1 Dylan McIntosh 2006-02-20 20:59:12 UTC
This could possibly be my fault, im guessing its either that i used a bad variable type in my mousecode or its an SDL input thing.
Comment 2 Dylan McIntosh 2006-02-20 22:26:05 UTC
This has to do with the cursor boundry, the max mouse input value is changed with window resolution, I think this only happens when windowed aswell.
Comment 3 Denis Lukianov 2006-03-12 14:42:48 UTC
Can we resolve this, or is it inherently an SDL thing?
Comment 4 Denis Lukianov 2006-10-13 09:43:02 UTC
Hello?
Comment 5 Denis Lukianov 2006-11-04 05:39:31 UTC
Yadda yadda yadda!?
Anybody out there?
Comment 6 Denis Lukianov 2006-11-04 05:41:08 UTC
Well, many people have praised the new mouse code. Maybe it is fixed already. There isn't really anything I can do about this if nobody replies.
Comment 7 Russell Rice 2006-11-04 05:47:14 UTC
If it feels fine, then its done and dusted, since other people won't reply.
Comment 8 esd45 2006-11-09 01:26:48 UTC
Mouse input values are naturally capped, as mentioned above.  

There are two options, both of which will help.

First, you want to increase polling rate at which you read the input grid change and then "recenter" the pointer.

Second, you want to change your sensitivity acceleration to a two part variable, the default (the one which the user normally adjusts) is just a coefficiant, that says how far to move per each dot of the mouse, the second determines how many dots on the mouse equal one dot on the "input grid"
Comment 9 Denis Lukianov 2006-11-19 09:02:26 UTC
No complaints. Marking fixed.
Comment 10 ufon 2008-07-28 04:18:44 UTC
in windows, the game doesn't seem to handle fast mouse movements as well as other games can, when i turn 180 degrees slow, and then do the same distance back where the mouse originally traveled from but fast, i always lose a considerable portion of the angle, so it rotates say only 130 degrees instead of 180 etc...(it's not the limitation of the mouse, it doesn't happen in the other port where the engine reads the same motions perfectly), i can provide additional info or some mouse values if needed

tested in winxp pro, mx518 without setpoint drivers